| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::ShaderHelper Class Referenceabstract

Interface definition for helper class to generate shaders. More...

`#include <OgreTerrainMaterialShaderHelpers.h>`

Inheritance diagram for Ogre::ShaderHelper:
[legend]

## Public Member Functions
| ShaderHelper ()
virtual | ~ShaderHelper ()
virtual HighLevelGpuProgramPtr | generateFragmentProgram (const SM2Profile *prof, const Terrain *terrain, TechniqueType tt)
virtual HighLevelGpuProgramPtr | generateVertexProgram (const SM2Profile *prof, const Terrain *terrain, TechniqueType tt)
virtual void | updateParams (const SM2Profile *prof, const MaterialPtr &mat, const Terrain *terrain, bool compositeMap)

## Detailed Description

Interface definition for helper class to generate shaders.

## Constructor & Destructor Documentation

## ◆ ShaderHelper()

Ogre::ShaderHelper::ShaderHelper | ( |  | ) |
| inline

## ◆ ~ShaderHelper()

virtual Ogre::ShaderHelper::~ShaderHelper | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ generateVertexProgram()

virtual HighLevelGpuProgramPtr Ogre::ShaderHelper::generateVertexProgram | ( | const SM2Profile * | prof,
|  | const Terrain * | terrain,
|  | TechniqueType | tt
| ) |  |
| virtual

## ◆ generateFragmentProgram()

virtual HighLevelGpuProgramPtr Ogre::ShaderHelper::generateFragmentProgram | ( | const SM2Profile * | prof,
|  | const Terrain * | terrain,
|  | TechniqueType | tt
| ) |  |
| virtual

## ◆ updateParams()

virtual void Ogre::ShaderHelper::updateParams | ( | const SM2Profile * | prof,
|  | const MaterialPtr & | mat,
|  | const Terrain * | terrain,
|  | bool | compositeMap
| ) |  |
| virtual

The documentation for this class was generated from the following file:

- OgreTerrainMaterialShaderHelpers.h